import { Column, Entity, PrimaryGeneratedColumn } from 'typeorm';

@Entity()
export class WeatherEntity {
  @PrimaryGeneratedColumn()
  id: number;

  @Column({ type: Date })
  date: Date;

  @Column({ nullable: true, type: 'decimal', precision: 6, scale: 2 })
  indoorHumidity: number;

  @Column({ nullable: true, type: 'decimal', precision: 6, scale: 2 })
  outdoorHumidity: number;

  @Column({ nullable: true, type: 'decimal', precision: 6, scale: 2 })
  indoorTemperature: number;

  @Column({ nullable: true, type: 'decimal', precision: 6, scale: 2 })
  outdoorTemperature: number;

  @Column({ nullable: true, type: 'decimal', precision: 6, scale: 2 })
  outdoorDewPoint: number;

  @Column({ nullable: true, type: 'decimal', precision: 6, scale: 2 })
  windChillTemp: number;

  @Column({ nullable: true, type: 'decimal', precision: 6, scale: 2 })
  windSpeed: number;

  @Column({ nullable: true, type: 'decimal', precision: 6, scale: 2 })
  gustSpeed: number;

  @Column({ nullable: true })
  windDirection: string;

  @Column({ nullable: true, type: 'decimal', precision: 6, scale: 2 })
  rainDiff: number;

  @Column({ nullable: true, type: 'decimal', precision: 6, scale: 2 })
  totalRain: number;

  @Column({ nullable: true, type: 'decimal', precision: 6, scale: 2 })
  absPressure: number;

  rain24h?: number;
  fresh?: boolean;
}
